Repositories the connection's token can read.
GET
/api/v1/git/connections/{connection}/repositories
const url = 'https://example.com/api/v1/git/connections/example/repositories';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/git/connections/example/repositoriesParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”connection
required
string
Connection id
Query Parameters
Section titled “Query Parameters”search
string
Only repositories whose name contains this.
page
integer format: int64
From 1; 1 unless given.
Responses
Section titled “Responses”Media typeapplication/json
object
repositories
required
Array<object>
object
id
The provider’s id.
string | null
fullName
required
owner/name (GitLab: group/subgroup/name).
string
description
string | null
defaultBranch
string | null
private
required
boolean
webUrl
string | null
updatedAt
integer | null format: int64
page
required
This page, from 1.
integer format: int64
hasMore
required
boolean
Example
{ "repositories": [ { "fullName": "acme/shop" } ]}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}The provider refused or failed
Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}